import java.util.*;

public class Naloga4 {
    public static void main(String[] args) {
        Graf g = new Graf(8);
        int[][] povezave = new int[][]{
                {1, 2}, {2, 3}, {3, 4}, {4, 5},
                {5, 6}, {6, 7}, {7, 1}, {0, 1},
                {0, 2}, {0, 3}, {0, 4}, {0, 5},
                {0, 6}, {0, 7}, {0, 7}, {0, 7}
        };
        for (int[] povezava : povezave) {
            g.povezi(povezava[0], povezava[1]);
        }
        g.pozresni();
        g.pozresni();
    }
}

class GrafGenerator {
    public static Graf generateBarabasiAlbertGraph(int n, int m) {
        if (m < 1 || m >= n) {
            throw new IllegalArgumentException("Neveljaven 'm'");
        }

        Graf graph = new Graf(n);
        List<Integer> nodePool = new ArrayList<>();

        // Zacnem z polnim grafom velikosti m
        for (int i = 0; i < m; i++) {
            for (int j = i + 1; j < m; j++) {
                graph.povezi(i, j);
                nodePool.add(i);
                nodePool.add(j);
            }
        }

        Random rand = new Random(5);

        // Povezi preostala vozlisca
        for (int newNode = m; newNode < n; newNode++) {
            Set<Integer> targets = new HashSet<>();

            while (targets.size() < m) {
                int selected = nodePool.get(rand.nextInt(nodePool.size()));
                targets.add(selected);
            }

            for (int target : targets) {
                graph.povezi(newNode, target);
                nodePool.add(newNode);
                nodePool.add(target);
            }
        }

        return graph;
    }
}